@charset "UTF-8";
/* concept.css */

/* ---------------------------------------------------------
   Hero Section (Concept page overrides)
--------------------------------------------------------- */
@media (min-width: 769px) {
  .page-concept {
    background-image: url(/assets/img/bg_nz_t1.png);
    background-repeat: repeat;
  }
}

#p-hero {
  display: flex;
  flex-direction: column;
  background-image: none;
}
@media (min-width: 769px) {
  #p-hero {
    display: flex;
    flex-direction: row;
  }
}

.p-hero--bg {
  position: relative;
  width: 100%;
  height: 100%;
  aspect-ratio: 1	/	0.783;
  background-image: url(/assets/img/concept/hd_kv.jpg);
  background-size: cover;
  margin-bottom: 30px;
  overflow: hidden;
  order: 1;
}
@media (min-width: 769px) {
  .p-hero--bg {
    position: relative;
    margin-bottom: 0;
    
    flex: 1;
    z-index: 1;
    order: 2;
    overflow: hidden;
  }
}

.p-hero--bg video {
  display: none;
}
@media (min-width: 769px) {
  .p-hero--bg video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
  }
}


.p-hero--content-cc {
  font-family: var(--ff-en-sabon-dp);
  width: 86.7%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;;
  order: 2;
}
@media (min-width: 769px) {
  .p-hero--content-cc {
    width: auto;
    flex: 1;
    align-items: center;
    order: 1;
  }
}

.p-hero--title-cc {
  font-size: var(--fz-l);
  letter-spacing: 0.2em;
  text-indent: 0.2em;
  margin-bottom: 1rem;
}
@media (min-width: 769px) {
  .p-hero--title-cc {
    font-size: var(--fz-24);
    margin-bottom: 2rem;
  }
}

.p-hero--sub-cc {
  font-size: var(--fz-ss);
  line-height: 1.8;
  letter-spacing: 0.1em;
  text-indent: 0.1em;
}
@media (min-width: 769px) {
  .p-hero--sub-cc {
    font-size: var(--fz-12);
  }
}

/* ---------------------------------------------------------
   Story Sections
--------------------------------------------------------- */
@media (min-width: 769px) {
  #page-main,
  #concept-story {
    background-image: url(/assets/img/bg_nz_t1.png);
  }
}

#concept-story {
  padding: 60px 0 0;
}
@media (min-width: 769px) {
  #concept-story {
    padding: 200px 0 0;
  }
}

@media (max-width: 768px) {
  .cs--inner {
    overflow: hidden;
  }
}

@media (min-width: 769px) {
  .cs--inner {
    max-width: 1132px;
    margin: auto;
    padding: 0 50px;
  }
}

.cs--item {
  display: flex;
  flex-direction: column;
  margin-bottom: 80px;
}
@media (min-width: 769px) {
  .cs--item {
    position: relative;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
  }
}

.cs--ph {
  width: 100%;
}
@media (max-width: 768px) {
  .cs--ph {
    margin: auto;
  }
}

.cs--txt {
  display: flex;
  flex-direction: column;
}

.cs--txt-main {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}
@media (min-width: 769px) {
  .cs--txt-main {
    flex-direction: row-reverse;
    align-items: flex-start;
    gap: 50px;
  }
}

.cs--txt-title {
  font-family: TsukuMinPr6-LB, serif;
  font-size: var(--fz-xl);
  font-weight: normal;
  line-height: 1;
  letter-spacing: 0.8em;
  color: var(--cl-base);
  writing-mode: vertical-rl;
  white-space: nowrap;
}
@media (min-width: 769px) {
  .cs--txt-title {
    font-size: var(--fz-24);
    height: 180px;
  }
}

.cs--txt-desc {
  font-size: var(--fz-m);
  line-height: 2.2;
  letter-spacing: 0.2em;
  writing-mode: vertical-rl;
  text-align: left;
  white-space: nowrap;
}
@media (min-width: 769px) {
  .cs--txt-desc {
    font-size: var(--fz-16);
    letter-spacing: 0.4em;
  }
}

.cs--txt-link {
  text-align: center;
  margin-top: 2rem;
}
@media (min-width: 769px) {
  .cs--txt-link {
    text-align: left;
    margin-top: 66px;
  }
}

.cs--txt-link a {
  position: relative;
  display: inline-block;
  font-family: var(--ff-en-sabon-dp);
  font-size: var(--fz-16);
  text-align: center;
  letter-spacing: 0.1em;
  line-height: 1.2;
  text-decoration: none;
  transition: opacity 0.3s;
}
.cs--txt-link a::after {
  content: '';
  display: block;
  width: 108px;
  height: 1px;
  background-color: var(--cl-base);
  margin-top: 10px;
}
.cs--txt-link a:hover {
  opacity: 0.7;
}

/* ---------------------------------------------------------
   Item: Location
--------------------------------------------------------- */
.cs--item-location {
  margin-bottom: 100px;
}
@media (min-width: 769px) {
  .cs--item-location {
    margin-bottom: 180px;
  }
}

.cs--item-location .cs--ph {
  width: 51.1%;
  order: 2
}
@media (min-width: 769px) {
  .cs--item-location .cs--ph {
    width: 290px;
    margin-left: 13.3%;
    order: 1;
  }
}

.cs--item-location .cs--txt {
  margin-bottom: 60px;
  order: 1;
}
@media (min-width: 769px) {
  .cs--item-location .cs--txt {
    margin-right: 23.3%;
    margin-top: 10px;
    order: 2;
  }
}

@media (min-width: 769px) {
  .cs--item-location .cs--txt-desc {
    margin-top: 3em;
  }
}

/* ---------------------------------------------------------
   Item: Room
--------------------------------------------------------- */
@media (min-width: 769px) {
  .cs--item-room {
    flex-direction: row-reverse;
    margin-bottom: 180px;
  }
}

.cs--item-room .cs--ph {
  width: 80.8%;
  margin: 0 0 60px auto;
}
@media (min-width: 769px) {
  .cs--item-room .cs--ph {
    width: 420px;
    margin: 0 5.1% 0 0;
    padding-top: 99px;
  }
}

@media (min-width: 769px) {
  .cs--item-room .cs--txt {
    margin-left: 24.6%;
  }
}
@media (min-width: 769px) {
  .cs--item-room .cs--txt-link {
    text-align: right;
    margin-top: 20px;
    padding-right: 25px;
  }
}

/* ---------------------------------------------------------
   Item: Dining
--------------------------------------------------------- */
@media (min-width: 769px) {
  .cs--item-dining {
    margin-bottom: 150px;
  }
}

.cs--item-dining .cs--ph {
  width: 80.8%;
  margin: 0 auto 60px 0;
}
@media (min-width: 769px) {
  .cs--item-dining .cs--ph {
    width: 300px;
    margin: 0 0 0 18.6%;
  }
}
@media (min-width: 769px) {
  .cs--item-dining .cs--txt {
    margin-right: 22.7%;
  }
}

@media (min-width: 769px) {
  .cs--item-dining .cs--txt-link {
    padding-left: 30px;
  }
}

/* ---------------------------------------------------------
   Item: Hot Spring
--------------------------------------------------------- */
@media (min-width: 769px) {
  .cs--item-hotspring {
    flex-direction: column-reverse;
    align-items: center;
    margin-bottom: 150px;
  }
  
}

.cs--item-hotspring .cs--ph {
  width: 66.7%;
  margin-bottom: 60px;
}
@media (min-width: 769px) {
  .cs--item-hotspring .cs--ph {
    width: 350px;
    margin-bottom: 0;
  }
}

@media (min-width: 769px) {
  .cs--item-hotspring .cs--ph-sub {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 20.9%;
  }
}

@media (min-width: 769px) {
  .cs--item-hotspring .cs--txt {
    margin-bottom: 80px;
  }
}

@media (min-width: 769px) {
  .cs--item-hotspring .cs--txt-main {
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }
}

@media (min-width: 769px) {
  .cs--item-hotspring .cs--txt-link {
    text-align: center;
    margin-top: 30px;
  }
}

/* ---------------------------------------------------------
   HR Divider
--------------------------------------------------------- */
.cs--hr {
  margin-left: 10%;
  margin-bottom: 80px;
}
@media (max-width: 768px) {
  .cs--hr {
    width: 130%;
  }
}
@media (min-width: 769px) {
  .cs--hr {
    margin-left: -20%;
    margin-bottom: 120px;
  }
}

/* ---------------------------------------------------------
   Item: Spa
--------------------------------------------------------- */
@media (min-width: 769px) {
  .cs--item-spa {
    margin-bottom: 200px;
    justify-content: center;
    gap: 138px;
  }
}

.cs--item-spa .cs--ph {
  width: 58.1%;
  order: 2;
}
@media (min-width: 769px) {
  .cs--item-spa .cs--ph {
    width: 405px;
    order: 1;
  }
}

@media (min-width: 769px) {
  .cs--item-spa .cs--ph-sub {
    position: absolute;
    bottom: 0;
    right: 20%;
    width: 20.6%;
  }
}

.cs--item-spa .cs--txt {
  margin-bottom: 80px;
  order: 1;
}
@media (min-width: 769px) {
  .cs--item-spa .cs--txt {
    order: 2;
  }
}

@media (min-width: 769px) {
  .cs--item-spa .cs--txt-link {
    margin-top: 50px;
  }
}


/* ---------------------------------------------------------
   Item: Buttom
--------------------------------------------------------- */
@media (max-width: 768px) {
  .cs--bottom {
    width: 73.3%;
    margin: auto
  }
}


